- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
STOFFOLEParser::OleContent Struct Reference

structure use to store an object content More...

`#include <STOFFOLEParser.hxx>`

## Public Member Functions
| OleContent (std::string const &dir, std::string const &base)
| constructor More...
std::string | getBaseName ()
| returns the base name More...
std::string | getOleName () const
| returns the ole name More...
bool | isParsed () const
| returns true if the object if parsed More...
void | setParsed (bool flag=true)
| sets the parsed flag More...
STOFFPosition const & | getPosition () const
| return the image position More...
void | setPosition (STOFFPosition const &pos)
| set the image position More...
bool | getImageData (librevenge::RVNGBinaryData &data, std::string &type) const
| returns the image data More...
void | setImageData (librevenge::RVNGBinaryData const &data, std::string const &type)
| sets the image data More...

## Protected Attributes
std::string | m_dir
| the directory More...
std::string | m_base
| the base name More...
bool | m_isParsed
| true if the data has been parsed More...
STOFFPosition | m_position
| the image position (if known) More...
librevenge::RVNGBinaryData | m_imageData
| the image content ( if known ) More...
std::string | m_imageType
| the image type ( if known) More...

## Detailed Description

structure use to store an object content

## Constructor & Destructor Documentation

STOFFOLEParser::OleContent::OleContent | ( | std::string const & | dir,
|  | std::string const & | base
| ) |  |
| inline

constructor

## Member Function Documentation

std::string STOFFOLEParser::OleContent::getBaseName | ( |  | ) |
| inline

returns the base name

Referenced by StarObject::parse(), STOFFOLEParser::parse(), STOFFOLEParser::readContents(), and STOFFOLEParser::readCONTENTS().

bool STOFFOLEParser::OleContent::getImageData | ( | librevenge::RVNGBinaryData & | data,
|  | std::string & | type
| ) |  | const
| inline

returns the image data

std::string STOFFOLEParser::OleContent::getOleName | ( |  | ) | const
| inline

returns the ole name

Referenced by StarObject::parse(), STOFFOLEParser::parse(), STOFFOLEParser::readContents(), STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readOle10Native(), and STOFFOLEParser::readOlePres().

STOFFPosition const& STOFFOLEParser::OleContent::getPosition | ( |  | ) | const
| inline

return the image position

bool STOFFOLEParser::OleContent::isParsed | ( |  | ) | const
| inline

returns true if the object if parsed

Referenced by StarObject::parse().

void STOFFOLEParser::OleContent::setImageData | ( | librevenge::RVNGBinaryData const & | data,
|  | std::string const & | type
| ) |  |
| inline

sets the image data

Referenced by STOFFOLEParser::readContents(), STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readOle10Native(), and STOFFOLEParser::readOlePres().

void STOFFOLEParser::OleContent::setParsed | ( | bool | flag = `true` | ) |
| inline

sets the parsed flag

Referenced by StarObject::parse(), STOFFOLEParser::parse(), STOFFOLEParser::readContents(), STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readOle10Native(), and STOFFOLEParser::readOlePres().

void STOFFOLEParser::OleContent::setPosition | ( | STOFFPosition const & | pos | ) |
| inline

set the image position

Referenced by STOFFOLEParser::readContents(), STOFFOLEParser::readCONTENTS(), and STOFFOLEParser::readOlePres().

## Member Data Documentation

std::string STOFFOLEParser::OleContent::m_base
| protected

the base name

std::string STOFFOLEParser::OleContent::m_dir
| protected

the directory

librevenge::RVNGBinaryData STOFFOLEParser::OleContent::m_imageData
| protected

the image content ( if known )

std::string STOFFOLEParser::OleContent::m_imageType
| protected

the image type ( if known)

bool STOFFOLEParser::OleContent::m_isParsed
| protected

true if the data has been parsed

STOFFPosition STOFFOLEParser::OleContent::m_position
| protected

the image position (if known)

The documentation for this struct was generated from the following file:

- STOFFOLEParser.hxx